package com.prodhack.moscow2025.data.dto

import com.prodhack.moscow2025.domain.models.LoginData
import com.prodhack.moscow2025.domain.models.RegisterData
import com.prodhack.moscow2025.domain.models.UpdateUserData
import com.prodhack.moscow2025.domain.models.User
import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable


@Serializable
data class UserLoginRequest(
	val email: String,
	val password: String
)

fun LoginData.mapToData(): UserLoginRequest = UserLoginRequest(email, password)


@Serializable
data class UserRegisterRequest(
	val email: String,
	val password: String
)

fun RegisterData.mapToData(): UserRegisterRequest = UserRegisterRequest(email, password)


@Serializable
data class TokenResponse(
	@SerialName("access_token")
	val token: String
)